Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextCodec.ConversionFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTextCodec.ConversionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextCodec

    public static final class QTextCodec.ConversionFlag

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTextCodec.ConversionFlag` | `ConvertInvalidToNull` If this flag is set, invalid input results in an empty string.
`static QTextCodec.ConversionFlag` | `DefaultConversion` No flag is set.
`static QTextCodec.ConversionFlag` | `IgnoreHeader` Ignore any Unicode byte-order mark and don't generate any.

Method Summary
`static QTextCodec.ConversionFlags` | `createQFlags(QTextCodec.ConversionFlag[] values)` This function creates a com.trolltech.qt.core.QTextCodec$ConversionFlags with the specified `com.trolltech.qt.core.QTextCodec$ConversionFlag[]` QTextCodec$ConversionFlag values set.
`static QTextCodec.ConversionFlag` | `resolve(int value)` Returns the QTextCodec$ConversionFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCodec.ConversionFlag` | `valueOf(java.lang.String name)`
`static QTextCodec.ConversionFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DefaultConversion

    public static final QTextCodec.ConversionFlag DefaultConversion

  No flag is set.

### ConvertInvalidToNull

    public static final QTextCodec.ConversionFlag ConvertInvalidToNull

  If this flag is set, invalid input results in an empty string.

### IgnoreHeader

    public static final QTextCodec.ConversionFlag IgnoreHeader

  Ignore any Unicode byte-order mark and don't generate any.

Method Detail

### values

    public static QTextCodec.ConversionFlag[] values()

### valueOf

    public static QTextCodec.ConversionFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextCodec.ConversionFlags createQFlags(QTextCodec.ConversionFlag[] values)

  This function creates a com.trolltech.qt.core.QTextCodec$ConversionFlags with the specified `com.trolltech.qt.core.QTextCodec$ConversionFlag[]` QTextCodec$ConversionFlag values set.

### resolve

    public static QTextCodec.ConversionFlag resolve(int value)

  Returns the QTextCodec$ConversionFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD